Межсайтовый скриптинг в WordPress 2 Click Social Media Buttons

Дата публикации:
16.05.2012
Дата изменения:
16.05.2012
Всего просмотров:
698
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WordPress 2 Click Social Media Buttons Plugin 0.x
Уязвимые версии: 2 Click Social Media Buttons дополнение для WordPress 0.32.2, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "pinterest-url" в сценарии wp-content/plugins/2-click-socialmedia-buttons/libs/pinterest.php (когда параметр "pinterest-description" установлен), а также в параметре "xing-url" в сценарии wp-content/plugins/2-click-socialmedia-buttons/libs/xing.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://wordpress.org/extend/plugins/2-click-socialmedia-buttons/

Решение: Установите последнюю версию 0.35 с сайта производителя.

Ссылки: http://packetstormsecurity.org/files/112711/WordPress-2-Click-Social-Media-Buttons-0.32.2-Cross-Site-Scripting.html

или введите имя

CAPTCHA